<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:modules="http://typo3.org/ns/CodingMs/Modules/ViewHelpers"
	  data-namespace-typo3-fluid="true">

<f:layout name="Backend"/>
<f:section name="Content">
	<modules:be.header header="{f:translate(key: 'tx_viewstatistics_label.module_headline_list')}" />
	<f:flashMessages />
	<div class="panel panel-default">
		<div class="panel-heading">
			<f:translate key="tx_viewstatistics_label.filter_headline"/>
		</div>
		<div class="panel-body">
			<f:form class="row" action="{list.action}" controller="Backend" pageUid="{list.pid}">
				<f:form.hidden name="offset" value="0" />

				<div class="input-group w-auto mb-2 pe-0">
					<span class="input-group-text"><f:translate key="tx_viewstatistics_label.date_from" /></span>
					<f:form.textfield id="startDate"
									  name="startDate"
									  value="{f:format.date(format: 'd-m-Y', date: list.period.start.datetime)}"
									  class="form-control input t3js-datetimepicker t3js-clearable"
									  data="{date-type: 'date'}"/>
					<f:form.hidden property="startDate"
								   value="{f:format.date(format: 'd-m-Y', date: list.period.start.datetime)}" />
					<span class="input-group-btn">
						<label class="btn btn-default" for="startDate" style="padding: 7px 12px">
							<core:icon identifier="actions-edit-pick-date" />
						</label>
					</span>
				</div>
				<div class="input-group w-auto mb-2 pe-0">
					<span class="input-group-text"><f:translate key="tx_viewstatistics_label.date_to" /></span>
					<f:form.textfield id="endDate"
									  name="endDate"
									  value="{f:format.date(format: 'd-m-Y', date: list.period.end.datetime)}"
									  class="form-control input t3js-datetimepicker t3js-clearable"
									  data="{date-type: 'date'}"/>
					<f:form.hidden property="endDate"
								   value="{f:format.date(format: 'd-m-Y', date: list.period.end.datetime)}" />
					<span class="input-group-btn">
						<label class="btn btn-default" for="endDate" style="padding: 7px 12px">
							<core:icon identifier="actions-edit-pick-date" />
						</label>
					</span>
				</div>

				<div class="input-group w-auto mb-2 pe-0">
					<span class="input-group-text"><f:translate key="tx_viewstatistics_label.type" /></span>
					<f:form.select name="type" class="form-select select-width-display-type"  data="{select: 'default'}"
								   options="{list.type.items}" value="{list.type.selected}"
								   prependOptionLabel="{f:translate(key: 'tx_viewstatistics_label.track_type_default')}"
								   prependOptionValue=""/>
				</div>

				<div class="input-group w-auto mb-2">
					<span class="input-group-text"><f:translate key="tx_viewstatistics_label.frontend_user" /></span>
					<f:form.select name="feuser" class="form-select select-width-display-type"  data="{select: 'default'}"
								   options="{list.feuser.items}" value="{list.feuser.selected}"
								   optionLabelField="feuser"
								   optionValueField="feuser"
								   prependOptionLabel="{f:translate(key: 'tx_viewstatistics_label.frontend_user_type_default')}"
								   prependOptionValue=""/>
				</div>

				<div class="input-group w-auto mb-2">
					<f:form.submit value="{f:translate(key: 'tx_viewstatistics_label.filter_submit_filter')}"
								   class="btn btn-default"/>
				</div>
			</f:form>
		</div>
	</div>
	<f:render partial="Table/Table" arguments="{list: list, data: tracking}" />
	<modules:be.footer />
</f:section>
</html>

